<template>
  <section id="detalhes" class="details">
    <div class="container mx-auto">
      <h2>Detalhes das Turmas</h2>
      <Course :course="courses.regular" order="first" />
      <Course :course="courses.basic" order="last" />
    </div>
  </section>
</template>

<script>
import Course from "@/components/blocks/Course.vue";

export default {
  components: {
    Course
  },
  data() {
    return {
      courses: {
        regular: {
          title: "Turma Regular",
          description: `
            A Turma Regular é um cursinho pré-vestibular com foco em todas áreas do 
            conhecimento (Biológicas, Exatas e Humanas), usa material didático com
            marca do Grupo Etapa e tem aulas de segunda à sexta, das 18:00 às 22:00.
            Além das aulas convencionais, os alunos também tem a possibilidade de
            simulados, ciclos de literatura e plantões de reforço aos sábados.
          `,
          buttons: [
            {
              title: "Edital",
              link:
                "https://docs.wixstatic.com/ugd/40417a_d1e8a0b52a9747cc88f6ca25bd5895d0.pdf"
            },
            {
              title: "Inscreva-se",
              link:
                "http://www.gremio.poli.usp.br/adm/cursinho/inscricoes_inverno.html"
            }
          ],
          events: [
            {
              date: "15/05/2019",
              endDate: "27/06/2019",
              text: "Período de inscrição, online"
            },
            {
              date: "24/06/2019",
              endDate: "27/06/2019",
              text:
                "Podem ser realizados os pagamentos presenciais, no Grêmio Politécnico"
            },
            {
              date: "28/06/2019",
              text: "Lista dos candidatos inscritos será liberada no site"
            },
            {
              date: "30/06/2019",
              text: "Primeira fase"
            },
            {
              date: "03/07/2019",
              text: "Lista de aprovados para segunda fase será liberada"
            },
            {
              date: "04/07/2019",
              endDate: "07/07/2019",
              text: "Periodo de agendamento das entrevistas da segunda fase"
            },
            {
              date: "08/07/2019",
              endDate: "12/07/2019",
              text: "Período em que ocorrerão as entrevistas"
            },
            {
              date: "13/07/2019",
              text:
                "Lista de aprovados no processo seletivo será liberada no site"
            },
            {
              date: "15/07/2019",
              endDate: "17/07/2019",
              text: "Período de matrícula"
            }
          ]
        },
        basic: {
          title: "Turma Básica",
          description: `
            A turma básica é voltada para os alunos do Ensido Médio com o intuito
            de reforçar  os conteúdos do Fundamental II e do Ensino Médio. A duração é
            de um semestre, com aulas de segunda a sexta, das 18h às 22h40min. O material didático é
            é desenvolvido pelos próprios professores e os alunos contam com o plantão de dúvidas,
            de segunda a quinta.
          `,
          buttons: [
            {
              title: "Edital",
              link:
                "https://docs.wixstatic.com/ugd/40417a_061019c661bf46d9a7686cbac23f5822.pdf"
            },
            {
              title: "Inscreva-se",
              link:
                "http://www.gremio.poli.usp.br/adm/cursinho/inscricoes_ciclo.html"
            }
          ],
          events: [
            {
              date: "15/05/2019",
              endDate: "27/06/2019",
              text: "Período de inscrição, online"
            },
            {
              date: "24/06/2019",
              endDate: "27/06/2019",
              text:
                "Podem ser realizados os pagamentos presenciais, no Grêmio Politécnico"
            },
            {
              date: "28/06/2019",
              text: "Lista dos candidatos inscritos será liberada no site"
            },
            {
              date: "30/06/2019",
              text: "Primeira fase"
            },
            {
              date: "03/07/2019",
              text: "Lista de aprovados para segunda fase será liberada"
            },
            {
              date: "04/07/2019",
              endDate: "07/07/2019",
              text: "Periodo de agendamento das entrevistas da segunda fase"
            },
            {
              date: "08/07/2019",
              endDate: "12/07/2019",
              text: "Período em que ocorrerão as entrevistas"
            },
            {
              date: "13/07/2019",
              text:
                "Lista de aprovados no processo seletivo será liberada no site"
            },
            {
              date: "15/07/2019",
              endDate: "17/07/2019",
              text: "Período de matrícula"
            }
          ]
        }
      }
    };
  }
};
</script>

<style lang="postcss">
.details {
  background-color: var(--l-primary);
  color: var(--l-light-gray-light);
}

.details h2 {
  @apply text-4xl pt-5 pb-0 text-center;
}
</style>
